<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="bean"
            type="com.lukouguoji.module_base.bean.WaybillBean" />

    </data>

    <androidx.appcompat.widget.LinearLayoutCompat
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <com.mcxtzhang.swipemenulib.SwipeMenuLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <FrameLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="15dp"
                    android:layout_marginVertical="5dp"
                    android:background="@drawable/bg_item"
                    android:orientation="horizontal"
                    android:padding="10dp">

                    <ImageView
                        android:id="@+id/iv_icon"
                        loadImage="@{bean.checked ? @drawable/img_plane_s : @drawable/img_plane}"
                        android:layout_width="40dp"
                        android:layout_height="40dp"
                        android:layout_gravity="center"
                        android:src="@drawable/img_plane" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="15dp"
                        android:orientation="vertical">

                        <androidx.appcompat.widget.LinearLayoutCompat
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content">

                            <androidx.appcompat.widget.LinearLayoutCompat
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1.2"
                                android:gravity="center_vertical">

                                <TextView
                                    completeSpace="@{4}"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="运单号：" />

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="@{bean.wbNo}"
                                    android:textColor="@color/colorPrimary"
                                    tools:text="78156462164631" />

                            </androidx.appcompat.widget.LinearLayoutCompat>

                            <androidx.appcompat.widget.LinearLayoutCompat
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1"
                                android:gravity="center_vertical">

                                <TextView
                                    completeSpace="@{3}"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="件数：" />

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text='@{bean.pc}' />

                            </androidx.appcompat.widget.LinearLayoutCompat>

                            <androidx.appcompat.widget.LinearLayoutCompat
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1.2"
                                android:gravity="center_vertical">

                                <TextView
                                    completeSpace="@{5}"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="重量：" />

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="@{bean.weight}" />

                            </androidx.appcompat.widget.LinearLayoutCompat>

                            <androidx.appcompat.widget.LinearLayoutCompat
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1"
                                android:gravity="center_vertical">

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="特码：" />

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text='@{bean.spCode}' />

                            </androidx.appcompat.widget.LinearLayoutCompat>

                            <androidx.appcompat.widget.LinearLayoutCompat
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1"
                                android:gravity="center_vertical">

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="目的港：" />

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text='@{bean.dest}' />

                            </androidx.appcompat.widget.LinearLayoutCompat>

                        </androidx.appcompat.widget.LinearLayoutCompat>

                        <androidx.appcompat.widget.LinearLayoutCompat
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="10dp">

                            <androidx.appcompat.widget.LinearLayoutCompat
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1.2"
                                android:gravity="center_vertical">

                                <TextView
                                    completeSpace="@{4}"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="代理：" />

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="@{bean.agentCode}" />

                            </androidx.appcompat.widget.LinearLayoutCompat>

                            <androidx.appcompat.widget.LinearLayoutCompat
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1"
                                android:gravity="center_vertical">

                                <TextView
                                    completeSpace="@{3}"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="品名：" />

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="@{bean.goods}" />

                            </androidx.appcompat.widget.LinearLayoutCompat>



                            <androidx.appcompat.widget.LinearLayoutCompat
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1.2"
                                android:gravity="center_vertical">

                                <TextView
                                    completeSpace="@{5}"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="计划航班：" />

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text='@{bean.mawbmFdate + "/" + bean.mawbmFno}' />

                            </androidx.appcompat.widget.LinearLayoutCompat>

                            <View
                                android:layout_width="0dp"
                                android:layout_height="0dp"
                                android:layout_weight="2" />

                        </androidx.appcompat.widget.LinearLayoutCompat>


                    </LinearLayout>

                </androidx.appcompat.widget.LinearLayoutCompat>

            </FrameLayout>

<!--            <androidx.appcompat.widget.LinearLayoutCompat-->
<!--                android:layout_width="wrap_content"-->
<!--                android:layout_height="match_parent"-->
<!--                >-->

<!--                <TextView-->
<!--                    android:id="@+id/tv_delete"-->
<!--                    style="@style/tv_item_action"-->
<!--                    android:background="@color/red"-->
<!--                    android:text="删除" />-->

<!--                <TextView-->
<!--                    android:id="@+id/tv_batch"-->
<!--                    style="@style/tv_item_action"-->
<!--                    android:background="#8313ef"-->
<!--                    android:text="分批" />-->

<!--            </androidx.appcompat.widget.LinearLayoutCompat>-->

        </com.mcxtzhang.swipemenulib.SwipeMenuLayout>

    </androidx.appcompat.widget.LinearLayoutCompat>

</layout>